diff -Nurd ircd-hybrid-6.3.1/adns/Makefile.in ircd-hybrid-6.3.1-patched/adns/Makefile.in
--- ircd-hybrid-6.3.1/adns/Makefile.in	Thu Dec  6 23:13:21 2001
+++ ircd-hybrid-6.3.1-patched/adns/Makefile.in	Fri Apr 26 00:29:45 2002
@@ -33,7 +33,7 @@
 # just make sure OBJ's match SRC's (pointed out by Ian)
 # Ultrix can't use gnu make????? feh --Bleep
 #
-#OBJS = \ 
+#OBJS = \
 #	check.o \
 #	event.o \
 #	general.o \
@@ -51,8 +51,8 @@
 
 libadns.a: ${OBJS}
 	rm -f $@
-	${AR} csqv $@ ${OBJS}
-
+	${AR} cqv $@ ${OBJS}
+	ranlib $@
 
 all: libadns.a
 build: all
diff -Nurd ircd-hybrid-6.3.1/config.log ircd-hybrid-6.3.1-patched/config.log
--- ircd-hybrid-6.3.1/config.log	Wed Dec 31 19:00:00 1969
+++ ircd-hybrid-6.3.1-patched/config.log	Fri Apr 26 00:29:46 2002
@@ -0,0 +1,6 @@
+This file contains any messages produced by compilers while
+running configure, to aid debugging if configure makes a mistake.
+
+configure:555: checking for gcc
+configure:585: checking for cc
+configure:668: checking whether the C compiler (cc  -L/sw/lib) works
diff -Nurd ircd-hybrid-6.3.1/include/config.h ircd-hybrid-6.3.1-patched/include/config.h
--- ircd-hybrid-6.3.1/include/config.h	Sun Feb 17 00:58:09 2002
+++ ircd-hybrid-6.3.1-patched/include/config.h	Fri Apr 26 00:29:45 2002
@@ -100,8 +100,9 @@
  *
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
+#define DPATH   "@PREFIX@/lib/ircd/"
+#define XPATH	"@PREFIX@/sbin/"
+#define SPATH   "@PREFIX@/sbin/ircd"
 #define CPATH   "ircd.conf"
 #define KPATH   "kline.conf"
 #define DLPATH  "kline.conf"
@@ -208,8 +209,8 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users"
-#define FNAME_OPERLOG "/usr/local/ircd/opers"
+#define FNAME_USERLOG "@PREFIX@/var/ircd/users"
+#define FNAME_OPERLOG "@PREFIX@/var/ircd/opers"
 
 /* RFC1035_ANAL
  * Defining this causes ircd to reject hostnames with non-compliant chars.
diff -Nurd ircd-hybrid-6.3.1/tools/install_ircd ircd-hybrid-6.3.1-patched/tools/install_ircd
--- ircd-hybrid-6.3.1/tools/install_ircd	Tue Jul  3 17:52:19 2001
+++ ircd-hybrid-6.3.1-patched/tools/install_ircd	Fri Apr 26 00:29:45 2002
@@ -16,7 +16,7 @@
 #
 dir_concat() {
   if [ ! -z "`echo $1 | grep '^/'`" ]; then
-    echo $1;
+    echo ${DSTROOT}$1;
   else
     echo ${DPATH}$1;
   fi;
@@ -47,7 +47,9 @@
 LPATH=`grep '#define.LPATH' include/config.h|awk '{print $3}'|tr -d \"`;
 PPATH=`grep '#define.PPATH' include/config.h|awk '{print $3}'|tr -d \"`;
 HPATH=`grep '#define.HPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+XPATH=`grep '#define.XPATH' include/config.h|awk '{print $3}'|tr -d \"`;
 
+DPATH=`dir_concat ${DPATH}`;
 SPATH=`dir_concat ${SPATH}`;
 CPATH=`dir_concat ${CPATH}`;
 KPATH=`dir_concat ${KPATH}`;
@@ -55,6 +57,7 @@
 LPATH=`dir_concat ${LPATH}`;
 PPATH=`dir_concat ${PPATH}`;
 HPATH=`dir_concat ${HPATH}`;
+XPATH=`dir_concat ${XPATH}`;
 
 #   DPATH = directory,
 #   SPATH = server executable,
@@ -63,6 +66,7 @@
 #   KPATH = kline conf file
 #   leave KPATH undefined if you want klines in main conf file
 #   HPATH is the opers help file, seen by opers on /quote help
+#   XPATH = Path for supplementary executables
 
 # Let's make sure $DPATH exists
 dir_make ${DPATH}
@@ -76,15 +80,8 @@
 # try to install their ircd.conf file, unless it already exists.
 # install ircd, save old one as ircd.old
 dir_make `dirname ${SPATH}`
-if [ ! -f ${SPATH}${EXESUFFIX} ]; then
-  echo installing ircd as ${SPATH}${EXESUFFIX}
-  $INSTALL_SH -c src/ircd${EXESUFFIX} ${SPATH}${EXESUFFIX};
-else
-  echo installing ircd as ${SPATH}${EXESUFFIX}
-  echo previous ircd saved as ircd${EXESUFFIX}.old
-  mv ${SPATH}${EXESUFFIX} ${SPATH}${EXESUFFIX}.old
-  $INSTALL_SH -c src/ircd${EXESUFFIX} ${SPATH}${EXESUFFIX};
-fi
+echo installing ircd as ${SPATH}${EXESUFFIX}
+$INSTALL_SH -c src/ircd${EXESUFFIX} ${SPATH}${EXESUFFIX};
 
 dir_make `dirname ${CPATH}`
 if [ ! -f ${CPATH} ]; then
@@ -114,48 +111,29 @@
 
 # try to install their opers.txt file, in all cases 
 dir_make `dirname ${HPATH}`
-if [ ! -f ${HPATH} ]; then
-  echo installing opers.txt as ${HPATH}
-  $INSTALL_SH -c opers.txt ${HPATH};
-else
-   echo installing opers.txt as ${HPATH}
-   echo previous opers.txt saved as opers.txt.old
-   mv ${HPATH} ${HPATH}.old
-   $INSTALL_SH -c opers.txt ${HPATH};
-fi
+echo installing opers.txt as ${HPATH}.dist
+$INSTALL_SH -c opers.txt ${HPATH}.dist;
+
+dir_make ${XPATH}
 
 # install mkpasswd
-if [ ! -f ${DPATH}mkpasswd ]; then
-  echo installing mkpasswd as ${DPATH}mkpasswd${EXESUFFIX}
-  $INSTALL_SH -c tools/mkpasswd${EXESUFFIX} ${DPATH}mkpasswd${EXESUFFIX};
-else
-   echo installing mkpasswd as ${DPATH}mkpasswd${EXESUFFIX}
-   echo previous mkpasswd saved as mkpasswd${EXESUFFIX}.old
-   mv ${DPATH}mkpasswd${EXESUFFIX} ${DPATH}mkpasswd${EXESUFFIX}.old
-   $INSTALL_SH -c tools/mkpasswd${EXESUFFIX} ${DPATH}mkpasswd${EXESUFFIX};
-fi 
+echo installing mkpasswd as ${XPATH}ircd_mkpasswd${EXESUFFIX}
+$INSTALL_SH -c tools/mkpasswd${EXESUFFIX} ${XPATH}ircd_mkpasswd${EXESUFFIX};
+
+# install mkconf
+echo installing mkconf as ${XPATH}ircd_mkconf${EXESUFFIX}
+$INSTALL_SH -c tools/mkconf${EXESUFFIX} ${XPATH}ircd_mkconf${EXESUFFIX};
 
 # install viconf
-if [ ! -f ${DPATH}viconf ]; then
-  echo installing viconf as ${DPATH}viconf${EXESUFFIX}
-  $INSTALL_SH -c tools/viconf${EXESUFFIX} ${DPATH}viconf${EXESUFFIX}
-  rm -f ${DPATH}vimotd${EXESUFFIX} ${DPATH}viklines${EXESUFFIX}
-  ln ${DPATH}viconf${EXESUFFIX} ${DPATH}vimotd${EXESUFFIX}
-  ln ${DPATH}viconf${EXESUFFIX} ${DPATH}viklines${EXESUFFIX};
-else
-   echo installing viconf as ${DPATH}viconf${EXESUFFIX}
-   echo previous viconf saved as viconf${EXESUFFIX}.old
-   mv ${DPATH}viconf${EXESUFFIX} ${DPATH}viconf${EXESUFFIX}.old
-   $INSTALL_SH -c tools/viconf${EXESUFFIX} ${DPATH}viconf${EXESUFFIX}
-   rm -f ${DPATH}vimotd${EXESUFFIX} ${DPATH}viklines${EXESUFFIX}
-   ln ${DPATH}viconf${EXESUFFIX} ${DPATH}vimotd${EXESUFFIX}
-   ln ${DPATH}viconf${EXESUFFIX} ${DPATH}viklines${EXESUFFIX};
-fi
+echo installing viconf as ${XPATH}ircd_viconf${EXESUFFIX}
+$INSTALL_SH -c tools/viconf${EXESUFFIX} ${XPATH}ircd_viconf${EXESUFFIX}
+ln ${XPATH}ircd_viconf${EXESUFFIX} ${XPATH}ircd_vimotd${EXESUFFIX}
+ln ${XPATH}ircd_viconf${EXESUFFIX} ${XPATH}ircd_viklines${EXESUFFIX};
 
 # install ircd.8
-dir_make ${DPATH}man8
-echo installing ircd.8 as ${DPATH}man8/ircd.8
-$INSTALL_SH -c doc/ircd.8 ${DPATH}man8/ircd.8
+dir_make ${DSTROOT}@PREFIX@/share/man/man8
+echo installing ircd.8 as ${DSTROOT}@PREFIX@/share/man/man8/ircd.8
+$INSTALL_SH -c doc/ircd.8 ${DSTROOT}@PREFIX@/share/man/man8/ircd.8
 
 # finished.
 echo install complete!
diff -Nurd ircd-hybrid-6.3.1/tools/mkconf ircd-hybrid-6.3.1-patched/tools/mkconf
--- ircd-hybrid-6.3.1/tools/mkconf	Tue Jun 19 13:09:31 2001
+++ ircd-hybrid-6.3.1-patched/tools/mkconf	Fri Apr 26 00:29:45 2002
@@ -13,9 +13,9 @@
 #   --addp             : Add a P: line
 
 # Initialize some variables
-Path="."
+Path="@PREFIX@/lib/ircd"
 ConfFile="$Path/ircd.conf"
-MkPass="$Path/mkpasswd"
+MkPass="@PREFIX@/sbin/ircd_mkpasswd"
 Quick="0"
 Input=""
 
diff -Nurd ircd-hybrid-6.3.1/tools/viconf.c ircd-hybrid-6.3.1-patched/tools/viconf.c
--- ircd-hybrid-6.3.1/tools/viconf.c	Tue Jul  3 17:52:19 2001
+++ ircd-hybrid-6.3.1-patched/tools/viconf.c	Fri Apr 26 00:29:45 2002
@@ -45,11 +45,11 @@
   else
     p++;
 #ifdef KPATH
-  if(strcmp(p, "viklines") == 0)
+  if(strcmp(p, "ircd_viklines") == 0)
     filename = KPATH;
 #endif /* KPATH */
 
-  if(strcmp(p, "vimotd") == 0)
+  if(strcmp(p, "ircd_vimotd") == 0)
     filename = MPATH;
 
   if(LockedFile(filename))
